{
	"format_version": "1.10",
	"particle_effect": {
		"description": {
			"identifier": "trail_egg",
			"basic_render_parameters": {
				"material": "particles_blend",
				"texture": "textures/items/egg"
			}
		},
		"components": {
			"minecraft:emitter_rate_steady": {"spawn_rate": 15,"max_particles": 10000},
			"minecraft:emitter_lifetime_expression": {"activation_expression": 1, "expiration_expression": "!query.has_collision"},
			"minecraft:particle_lifetime_expression": {"max_lifetime": 60},
			"minecraft:particle_appearance_tinting": {"color": [1, 1, 1, 0.5]},
			"minecraft:particle_appearance_billboard": {
				"size": [0.25, 0.25],
				"facing_camera_mode": "rotate_xyz",
				"uv": {
					"texture_width": 16,
					"texture_height": 16,
					"uv": [0, 0],
					"uv_size": [16, 16]
				}
			}
		}
	}
}